Merge "Compile jni_headers with minimum sdk required by its dependees"
am: 734519e5be

Change-Id: I9d0fda100afa5c53eabb80577cc65237abcdf221